/*rotace slider*/
.grafika-obal .rotate-slider {
  margin: 0 auto;
  margin-bottom: var(--spacing-xl);
  box-sizing: border-box;
  padding: 0 0 45% 0;
  background-color: var(--brand-blue-100);
  position: relative;
  background-size: 100% auto;
  background-position: center bottom;
  background-repeat: no-repeat;
  overflow: hidden;
}
.grafika-obal .rotate-slider[data-current-slide="0"] {
  background-image: url(../cena-cukrovi/assets/vanocka.jpg);
}
.grafika-obal .rotate-slider[data-current-slide="1"] {
  background-image: url(../cena-cukrovi/assets/pernicky.jpg);
}
.grafika-obal .rotate-slider[data-current-slide="2"] {
  background-image: url(../cena-cukrovi/assets/vanilkove-rohlicky.jpg);
}
.grafika-obal .rotate-slider[data-current-slide="3"] {
  background-image: url(../cena-cukrovi/assets/linecke.jpg);
}
.grafika-obal .rotate-slider[data-current-slide="4"] {
  background-image: url(../cena-cukrovi/assets/pracny.jpg);
}
.grafika-obal .rotate-slider[data-current-slide="5"] {
  background-image: url(../cena-cukrovi/assets/vosi-hnizda.jpg);
}
.grafika-obal .rotate-slider .t-menu {
  text-align: center;
  display: flex;
}
.grafika-obal .rotate-slider .t-menu a {
  flex-grow: 1;
  background: var(--brand-blue-600);
}
.grafika-obal .rotate-slider .t-menu a em {
  display: none;
}
.grafika-obal .rotate-slider .t-menu a img {
  transition: opacity 0.5s;
  width: 100%;
}
.grafika-obal .rotate-slider .t-menu a:hover img {
  opacity: 0.2;
}
.grafika-obal .rotate-slider .t-menu a:hover em {
  color: var(--brand-50);
  display: block;
  font-size: 0.875rem;
  font-style: normal;
  font-weight: bold;
  top: 50%;
  position: absolute;
  text-align: center;
  width: 100%;
  transform: translateY(-50%);
  text-transform: uppercase;
  line-height: 1.3;
}

.grafika-obal .rotate-slider .prevBtn, .grafika-obal .rotate-slider .nextBtn {
  top: 50%;
  transform: translateY(-50%);
}
.grafika-obal .rotate-slider .prevBtn {
  left: 20px;
}
.grafika-obal .rotate-slider .nextBtn {
  right: 20px;
}
  .grafika-obal .rotate-slider h2 {
    font-family: Barlow, sans-serif;
    font-size: 30px;
    padding: 36px 0;
    margin-bottom: 0;
    text-align: center;
  }
  .grafika-obal .rotate-slider p {
    padding: 0 24px;
  }
  .grafika-obal .rotate-slider .img-mask {
    width: 100%;
    position: absolute;
    top: 0;
    left: 0;
    z-index: 2;
    aspect-ratio: 1/1;
    opacity: 0.75;
  }
  .grafika-obal .rotate-slider .rotate-slider-bx-obal {
    width: 100%;
    height: 0;
    margin: 0 auto 24px auto;
    overflow: hidden;
    position: relative;
    padding-bottom: 46%;
    background: #E9F0F8;
    z-index: 1;
  }
  .grafika-obal .rotate-slider .rotate-slider-bx-obal .rotate-slider-bx-img {
    transition: all 0.5s ease-in-out;
    display: block;
    position: relative;
    left: 50%;
    transform: translateX(-50%);
    width: 100%;
  }
  .grafika-obal .rotate-slider .rotate-slider-bx-obal::after {
    content: "";
    width: 100%;
    height: 49%;
    position: absolute;
    bottom: 0;
    left: 0;
    background: linear-gradient(0deg, rgb(233, 240, 248) 33%, rgba(233, 240, 248, 0) 100%);
  }
  .grafika-obal .rotate-slider .rotate-slider-bx-text-obal-hide {
    width: 100%;
    margin: 0 auto;
    overflow: hidden;
    z-index: 3;
    position: relative;
    margin-top: -21%;
  }
  .grafika-obal .rotate-slider .rotate-slider-bx-text-obal-hide .rotate-slider-bx-text-obal {
    display: flex;
    position: relative;
    transition: all 0.5s ease-in-out;
    width: 100%;
    margin: 0 auto;
  }
  .grafika-obal .rotate-slider .rotate-slider-bx-text-obal-hide .rotate-slider-bx-text-obal .rotate-slider-bx-text {
    min-width: 100%;
    padding: 24px;
    box-sizing: border-box;
    position: relative;
  }
  .grafika-obal .rotate-slider .rotate-slider-bx-text-obal-hide .rotate-slider-bx-text-obal .rotate-slider-bx-text .overflow-wr {
    position: relative;
    overflow: hidden;
    margin-bottom: 30px;
    padding-bottom: 24px;
  }
  .grafika-obal .rotate-slider .rotate-slider-bx-text-obal-hide .rotate-slider-bx-text-obal .rotate-slider-bx-text .overflow-wr.low {
    max-height: 170px;
    position: relative;
  }
  .grafika-obal .rotate-slider .rotate-slider-bx-text-obal-hide .rotate-slider-bx-text-obal .rotate-slider-bx-text .overflow-wr.low::before {
    content: "";
    width: 100%;
    height: 1px;
    background-color: #92b4e1;
    position: absolute;
    bottom: 35px;
    left: 0;
    z-index: 3;
  }
  .grafika-obal .rotate-slider .rotate-slider-bx-text-obal-hide .rotate-slider-bx-text-obal .rotate-slider-bx-text .overflow-wr.low::after {
    content: "";
    width: 100%;
    height: 70px;
    position: absolute;
    bottom: 0;
    left: 0;
    background: linear-gradient(0deg, rgb(233, 240, 248) 50%, rgba(233, 240, 248, 0) 100%);
  }
  .grafika-obal .rotate-slider .rotate-slider-bx-text-obal-hide .rotate-slider-bx-text-obal .rotate-slider-bx-text .overflow-wr.low a.switch-btn::before {
    transform: rotate(45deg);
  }
  .grafika-obal .rotate-slider .rotate-slider-bx-text-obal-hide .rotate-slider-bx-text-obal .rotate-slider-bx-text a.switch-btn {
    box-sizing: border-box;
    padding: 4px 8px;
    line-height: 1;
    font-size: 14px;
    font-weight: bold;
    text-decoration: none;
    z-index: 5;
    text-transform: uppercase;
    position: absolute;
    bottom: 0;
    left: 50%;
    transform: translateX(-50%);
    height: 30px;
    display: flex;
    justify-content: center;
    align-items: center;
    background: var(--brand-blue-600);
    color: var(--brand-50);
    white-space: nowrap;
    word-break: keep-all;
    overflow-wrap: normal;
  }
  .grafika-obal .rotate-slider .rotate-slider-bx-text-obal-hide .rotate-slider-bx-text-obal .rotate-slider-bx-text h2 {
    font-family: "Barlow";
    font-size: 28px;
    text-align: center;
    padding: 0;
    margin: 0;
    margin-bottom: 10px;
    color: #2F6AC2;
  }
  .grafika-obal .rotate-slider .rotate-slider-bx-text-obal-hide .rotate-slider-bx-text-obal .rotate-slider-bx-text p {
    text-align: left;
    font-family: Barlow, sans-serif;
    font-size: 14px;
  }
  .grafika-obal .rotate-slider .rotate-slider-bx-text-obal-hide .rotate-slider-bx-text-obal .rotate-slider-bx-text .chart-wr .chart-intr {
    aspect-ratio: 16 / 9;
    margin-bottom: var(--spacing-l);
  }
  .grafika-obal .rotate-slider .rotate-slider-bx-text-obal-hide .rotate-slider-bx-text-obal .rotate-slider-bx-text .chart-wr .chart-intr img {
    opacity: 0.4;
  }
  .grafika-obal .rotate-slider .rotate-slider-bx-text-obal-hide .rotate-slider-bx-text-obal .rotate-slider-bx-text .chart-wr h4 {
    font-weight: bold;
    font-family: Barlow, sans-serif;
    padding: 0 0 5px 0;
    margin: 0;
    border-bottom: 1px solid #92B4E1;
    font-size: 14px;
    color: #1b69bf;
    font-style: normal;
    display: block;
    text-align: left;
  }
  .grafika-obal .rotate-slider .rotate-slider-bx-text-obal-hide .rotate-slider-bx-text-obal .rotate-slider-bx-text .table-wr {
    margin: 0 auto 20px auto;
  }
  .grafika-obal .rotate-slider .rotate-slider-bx-text-obal-hide .rotate-slider-bx-text-obal .rotate-slider-bx-text .table-wr table {
    width: 100%;
    text-align: left;
  }
  .grafika-obal .rotate-slider .rotate-slider-bx-text-obal-hide .rotate-slider-bx-text-obal .rotate-slider-bx-text .table-wr table tr td {
    padding: 5px 2px;
    font-size: 14px;
    border-bottom: 1px dotted #d0d8df;
  }
  .grafika-obal .rotate-slider .rotate-slider-bx-text-obal-hide .rotate-slider-bx-text-obal .rotate-slider-bx-text .table-wr table tr td:nth-child(1) {
    width: 50%;
  }
  .grafika-obal .rotate-slider .rotate-slider-bx-text-obal-hide .rotate-slider-bx-text-obal .rotate-slider-bx-text .table-wr table tr td:nth-child(2) {
    width: 25%;
  }
  .grafika-obal .rotate-slider .rotate-slider-bx-text-obal-hide .rotate-slider-bx-text-obal .rotate-slider-bx-text .table-wr table tr td:nth-child(3) {
    width: 25%;
    text-align: right;
  }
  .grafika-obal .rotate-slider .rotate-slider-bx-text-obal-hide .rotate-slider-bx-text-obal .rotate-slider-bx-text .table-wr table tr:hover td {
    background: #f6faff;
  }
  .grafika-obal .rotate-slider .rotate-slider-bx-text-obal-hide .rotate-slider-bx-text-obal .rotate-slider-bx-text .table-wr em {
    font-weight: bold;
    font-family: Barlow, sans-serif;
    padding: 0 0 5px 0;
    margin: 0;
    border-bottom: 1px solid #92B4E1;
    font-size: 14px;
    color: #1b69bf;
    font-style: normal;
    display: block;
    text-align: left;
  }
  .grafika-obal .rotate-slider .circle-button-container {
    width: 100%;
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    align-items: center;
    gap: 10px;
    position: relative;
    margin: 0 auto;
    margin: 0 auto;
    position: absolute;
    bottom: 35px;
  }
  .grafika-obal .rotate-slider .circle-button-container .circle-button {
    width: 15px;
    height: 15px;
    border-radius: 50px;
    cursor: pointer;
    border: 2px solid #2F6AC2;
    box-sizing: border-box;
    transition: all 0.125s ease-in-out;
  }
  .grafika-obal .rotate-slider .circle-button-container .circle-button:hover {
    background: #2F6AC2;
    color: white;
  }
  .grafika-obal .rotate-slider .circle-button-container .circle-button--selected {
    background: #2F6AC2;
    color: white;
  }
  .grafika-obal .main-values {
    position: absolute;
    top: 0;
    left: 0;
    z-index: 10;
    display: flex;
    width: 100%;
    justify-content: space-between;
    margin: 0 auto;
    padding: 61px 6% 0 6%;
    box-sizing: border-box;
  }
  .grafika-obal .main-values div {
    width: 33.33%;
    text-align: center;
  }
  .grafika-obal .main-values div em {
    display: block;
    font-size: 17px;
    font-weight: bold;
    font-style: normal;
    color: #1b69bf;
    padding-bottom: 5px;
  }
  .grafika-obal .main-values div b {
    font-size: 40px;
    color: #D10F2B;
  }

  .grafika-obal .intrinsic {
    display: block;
    position: relative;
    height: 0;
    overflow: hidden;
  }

  .grafika-obal .intrinsic,
  .grafika-obal .intrinsic iframe {
    height: 100%;
  }
  
  @media screen and (max-width: 1024px) {
    .grafika-obal .main-values {
      position: relative;
      padding: 0 6% 0 6%;
      margin-top: -20%;
      margin-bottom: 24px;
    }
    .grafika-obal .main-values div {
      width: 50%;
    }
    .grafika-obal .main-values div em {
      font-size: 16px;
      padding-bottom: 0;
    }
    .grafika-obal .rotate-slider {
      border-radius: 0;
    }
    .grafika-obal .rotate-slider .rotate-slider-bx-text-obal-hide {
      margin-top: 0;
    }
    .grafika-obal .rotate-slider .rotate-slider-bx-obal {
      padding-bottom: 38%;
      margin-bottom: 20px;
    }
  }
  @media screen and (max-width: 600px) {
    .grafika-obal .main-values div b {
      font-size: 30px;
    }
    .grafika-obal .rotate-slider .t-menu {
      flex-wrap: wrap;
    }
    .grafika-obal .rotate-slider .t-menu a {
      width: 33.33%;
      max-height: 150px;
    }

    .grafika-obal .rotate-slider .prevBtn, .grafika-obal .rotate-slider .nextBtn {
      transform: translateY(-50%) scale(0.65);
    }
    .grafika-obal .rotate-slider .prevBtn {
      left: 0;
    }
    .grafika-obal .rotate-slider .nextBtn {
      right: 0;
    }
    .grafika-obal .rotate-slider h2 {
      font-size: 20px;
      padding: 24px;
    }
    .grafika-obal .main-values { padding: 0 20px;}
    .grafika-obal .rotate-slider .rotate-slider-bx-text-obal-hide .rotate-slider-bx-text-obal .rotate-slider-bx-text { padding: 20px;}
  }